<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
$sql_vestibular = "select * from vestibulares where codigo = $qual_vestibular";
$result = mysql_query($sql_vestibular)
		or die ( 'Não foi possível executar a query vestibular.' );
$info = mysql_fetch_array($result);
$cursos_do_vestibular = $info["cursos"];
$gera_sql = split(",",$cursos_do_vestibular);
$i = 0;
$retorna = 1;
$primeiro = 0;
$sql_cursos = "SELECT * FROM cursos where ";
while ($retorna == 1) {
	if ($gera_sql[$i] == '') {
		$retorna = 0;
	}
	else {
		if ($primeiro == 0) {
			$primeiro = 1;
		}
		else {
			$sql_cursos .= ' or ';
		}
		$sql_cursos .= 'codigo = ' . $gera_sql[$i] . ' ';
	}
	$i++;
}
$sql_cursos .= 'ORDER by codigo_curso ASC';

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title>Cursos</title>
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#0000FF" alink="#FF0000">
<br>
<br>
<table width="80%" border="0" cellspacing="0" cellpadding="0" align="center">
<tr>
	<td>
		<strong><div align="center"><font face="Verdana" size="2" color="#FF0000">Anular Questão</font></div></strong>
	<?
	if (!isset($tipo)){
	if (!isset($curso)) {
		// Escolha do Curso 
		$sql = $sql_cursos;
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center>Não existe nenhum curso cadastrado no Sistema!!!</center>';
		}
		else {
			$cor = "FFFFFF";
			echo '<br><br>';
			echo '<table width="60%" border="0" cellspacing="0" cellpadding="0" align="center">';
			while($info = mysql_fetch_array($result)) {
				echo '<tr>';
					echo '<td>';
						echo '<font color = "000000" face ="verdana" size="2">' . $info["codigo_curso"] . '</font>';
					echo '</td>';
					echo '<td>';
						echo '<a href="anular.php?curso=' . $info["codigo"]. '"><font color = "000000" face ="verdana" size="2">' .$info["nome_curso"]. '</font></a>';
					echo '</td>';
				echo '</tr>';
			}
			echo '</table>';
		}
		echo '<br><Br>';
			echo '<strong><div align="center"><a href="anular.php?tipo=listar" title="Exibir questoes anuladas"><font face="Verdana" size="2" color="#000000">Exibir questões anuladas</font></a></div></strong><br><br>';
		$sql_110 = "SELECT * FROM configuracao where codigo = 6";
		$result_110 = mysql_query($sql_110)
			or die ( 'Não foi possível executar a query 161.' );
		exit;
	}

	if (!isset($materia)) {
		// Escolha da Materia
		$sql = "SELECT * FROM cursos where codigo = $curso";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center>Não existe nenhum curso cadastrado no Sistema!!!</center>';
		}
		else {
			while($info = mysql_fetch_array($result)) {
				echo '<center><font color="blue" size="2" face ="verdana">' . $info["nome_curso"] . '</font></center>';
			}
		}
		$sql = "SELECT * FROM provas order by codigo ASC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161b.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center>Não existe nenhum curso cadastrado no Sistema!!!</center>';
		}
		else {
			$cor = "FFFFFF";
			echo '<br><br>';
			echo '<table width="80%" border="0" cellspacing="0" cellpadding="0" align="center">';
			while($info = mysql_fetch_array($result)) {
				echo '<tr>';
					echo '<td valign="top">';
						echo '<font color = "000000" face ="verdana" size="2">' . $info["codigo"] . ' - </font>';
					echo '</td>';
					echo '<td>';
						if ($info["codigo"] != 2) {
						echo '<a href="anular.php?curso='.$curso.'&materia=' . $info["codigo"]. '"><font color = "000000" face ="verdana" size="2">' .$info["materia"]. '</font></a>';
						}
						else {
							echo '<font color = "000000" face ="verdana" size="2">' .$info["materia"]. '';
							$sql_lingua = "SELECT * FROM linguas order by codigo ASC";
							$result_lingua = mysql_query($sql_lingua)
								or die ( 'Não foi possível executar a query 161b.' );
							while($info_lingua = mysql_fetch_array($result_lingua)) {
								echo '&nbsp;&nbsp;&nbsp;&nbsp;<a href="anular.php?curso='.$curso.'&materia=' . $info["codigo"]. '&lingua='.$info_lingua["codigo"].'"><font color = "000000" face ="verdana" size="2">' . $info_lingua["lingua"] . '</a> &nbsp;</font>' ;
							}
						echo '</font></a>';
						}
					echo '</td>';
				echo '</tr>';
			}
			echo '</table>';
		}
		exit;
	}


?>
	<div align="center">
		<form action="anular.php" method="post">
			<font face="Verdana" size="2" color="#000000">Número da questão:</font> 
			&nbsp;&nbsp;&nbsp;&nbsp;
			<input type="text" name="questao" size="10" maxlength="2">
			<br>
			<font face="Verdana" size="2" color="#000000">Valor da questão:</font> 
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<input type="text" name="valor_questao" size="10" maxlength="6">
			<br>
			<input type="submit" name="submit_nulo" value="A N U L A R    Q U E S T Ã O">
			<input type="hidden" name="curso" value="<? echo $curso; ?>">
			<input type="hidden" name="materia" value="<? echo $materia; ?>">
			<?
				if (isset($lingua)) {
			?>
			<input type="hidden" name="lingua" value="<? echo $lingua; ?>">
			<?
				}
			?>
		</form>
	<?
		if (isset($submit_nulo)) {
			echo '<strong><font face="verdana" size="2" color="000000">Questão número <font color="red">' . $questao .'</font> anulada com sucesso!</font></strong>';
			if (!isset($lingua)) {
				$lingua = 0;
			}
			$sql = "insert into anular (curso, materia, questao, valor_questao,lingua, codigo_vest) values ($curso, $materia, $questao, $valor_questao, $lingua, '$qual_vestibular')";
    	    $result = mysql_query($sql)
				or die ( 'Não foi possivel efetuar a inclusao do gabarito parte 1<br>Entre em contato com o suporte.' );

		}
	?>
	</div>

<?
}
else {
		$sql = "SELECT * FROM anular where codigo_vest = '$qual_vestibular' ORDER by codigo ASC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center><strong><div align="center"><font face="Verdana" size="2" color="#FF0000">Não existe nenhum questão anulada!!!</font></div></strong></center>';
		}
		else {
			$cor = "FFFFFF";
			echo '<br><br>';
			echo '<font color="000000" face="verdana" size="2"><b>Questões anuladas: <font color="red">' . $num . '</font></b></font><br><br>';
			while($info = mysql_fetch_array($result)) {
				$curso = $info["curso"];
				$sql_1 = "SELECT * FROM cursos where codigo = $curso";
				$result_1 = mysql_query($sql_1)
					or die ( 'Não foi possível executar a query 161.' );
				while($info_1 = mysql_fetch_array($result_1)) {
					echo '<strong><font color="#000000" face="verdana" size="2">Curso: <font color="red">' . $info_1["nome_curso"] . '</font></font></strong><br>';
				}
				
				$materia = $info["materia"];
				$sql_1 = "SELECT * FROM provas where codigo =$materia";
				$result_1 = mysql_query($sql_1)
					or die ( 'Não foi possível executar a query 161.' );
				while($info_1 = mysql_fetch_array($result_1)) {
					echo '<strong><font color="#000000" face="verdana" size="2">Prova: <font color="red">' .$info_1["materia"]. '</font></font></strong>';
				}
				
				$lingua = $info["lingua"];
				if ($lingua != 0 ) {
					$sql_1 = "SELECT * FROM linguas where codigo =$lingua";
					$result_1 = mysql_query($sql_1)
						or die ( 'Não foi possível executar a query 161.' );
					while($info_1 = mysql_fetch_array($result_1)) {
						echo '&nbsp;&nbsp;<strong><font color="red" face="verdana" size="2">' .$info_1["lingua"] . '</font></strong>';
					}
				}
				echo '<br>';
				echo '<strong><font color="#000000" face="verdana" size="2">Número da questão: <font color="red">' .$info["questao"] . '</font> Valor: <font color="red">'.$info["valor_questao"].'</font></strong></font><br>';
				echo '<a href="exclui_anulacao.php?id='.$info["codigo"].'"><font face="Verdana" size="2" color="#000000">Excluir</font></a>';
				echo '<br><br>';
			}
		}
}
?>
	</td>
</tr>
</table>



</body>
</html>
